оригинальная версия версия для слабовидящих контрастная версия выключить изображения включить изображения RSS FEED K2 NEWS

1000 рублей за покупку акций

Суббота, 06 Июль 2019 00:01

Syntax error unexpected token in json at position 0

С такой ошибкой я столкнулся, когда попытался установить совсем «простенький» модуль на Opencart 2.3. Специально сделал акцент на версии, поскольку именно в этом и был источник бед, поскольку сам модуль предназначался для версии Opencart 3.0.x.x.

Что удивительно, в сети не нашёл ни одного мануала, где бы хоть как-то кто-нибудь задал вопрос: «а совпадают ли версии?». Все как один отправляли в настройки магазина с вопросом, правильно ли настроен FTP-аккаунт.

В некоторых случаях, действительно, необходимо установить модуль Quickfix 2.1, для версий ниже 2.3 вполне вероятно, может и оказаться решением проблемы, но не в моём случае.

Ссылка на модуль Quickfix 2.1 (распространялся бесплатно, поэтому чтобы «не потерять в сети Интернет», что часто бывает, дублировал себе на сайт).

Та же история с интернет-магазинами на движках более поздних версий (3.0.x.x), если вдруг проблема не в том, что у вас стоит 2.3, а модуль был скачан для 3.0 попробуйте установить сначала модуль/плагин Localcopy, возможно это поможет в решении Вашего вопроса.

Ссылка на модуль Localcopy 3.0 (распространялся бесплатно, поэтому чтобы «не потерять в сети Интернет», что часто бывает, дублировал себе на сайт).

Сам обзор написал с исключительной целью, чтоб случись что – знать где искать эти два модуля (на компе я их точно потеряю).

Спонсоры: